%define rname	chromatabsplus
%define version 2.1.0
%define release alt2
%define cid 	\{1cff04ef-0c75-4621-ba2a-2efb77346996\}
%define ciddir	%firefox_noarch_extensionsdir/%cid

Name:		%firefox_name-%rname
Version:	%version
Release:	%release

Summary:	Extention for browser tabs colorizing based on contents
Summary(ru_RU.KOI8-R):	    FireFox        

License:	MPL
Group:		Networking/WWW
URL:		http://garycalpo.wordpress.com/chromatabs-plus/

Packager:	Yury Aliaev <mutabor@altlinux.ru>
Source0:	http://fliptech.net/development/chromatabsplus/%rname.%version.xpi

BuildArch:	noarch

BuildRequires(pre):	rpm-build-firefox
BuildRequires: 		unzip
Requires:	%firefox_name >= 3.0

%description
ChromaTabs Plus makes tabs more readily identifiable by tinting each tab a
different color depending on the website loaded. Colors can be chosen at
random or marched to the site's favicon.

%description -l ru_RU.KOI8-R
 ChromaTabs Plus   ,  
      ,   .  
    (favicon) .

%prep
%setup -T -c -n %rname.%version.xpi
unzip -qq %SOURCE0

%install
%__mkdir_p %buildroot/%ciddir
%__cp -r * %buildroot/%ciddir

%postun
if [ "$1" = 0 ]; then
  [ ! -d "%ciddir" ] || rm -rf "%ciddir"
fi

%files
%ciddir

%changelog
* Thu Aug 14 2008 Yury Aliaev <mutabor@altlinux.ru> 2.1.0-alt2
- rpm bug workaround (sources are set to lowercase when unzipping)

* Thu Aug 07 2008 Yury Aliaev <mutabor@altlinux.ru> 2.1.0-alt1
- initial build for Sisyphus
